@echo off
title UWP アプリケーションのインストール

set UWPApp=RealtekSemiconductorCorp.RealtekAudioControl
set logfile=c:\windows\temp\result_RAC.txt

echo.
echo %UWPApp% のインストール中...
echo.

cd /d "%~dp0"


FOR /R  %%# in (*.appxbundle) DO (
    SET APPXBUNDLE=%%~nx#
)

FOR /R  %%# in (*.xml) DO (
    SET License1XML=%%~nx#
)

dism /online /Add-ProvisionedAppxPackage /PackagePath:"%~dp0%APPXBUNDLE%" /LicensePath:"%~dp0%License1XML%" /DependencyPackagePath:"%~dp0Microsoft.VCLibs.140.00_14.0.33519.0_x64__8wekyb3d8bbwe.appx" /region=ALL > %logfile%
if %errorlevel% NEQ 0 goto error

goto end



:error
@echo off
color 47
echo. 
echo  *******************************************************
echo  *                                                     *
echo  *                                                     *
echo  *                                                     *
echo     %UWPApp% のインストールに失敗しました ！
echo  *                                                     *
echo  *                                                     *
echo  *                                                     *
echo  *******************************************************
echo.
del %logfile%
pause
exit


:end
cls
color 17
echo %UWPApp% のインストール結果
echo.
type %logfile%
echo.
echo  インストールが完了しました。
echo.
echo  5秒後に自動的に終了します。
echo.
timeout /t 5 /nobreak>nul
